Subject: Graphic output only shows on external display after 3.21 upgrade

From: "Adam T. Carpenter" <[email-masked]>
Date: Sat, 1 Feb 2025 12:31:00 -0500

Hello.

I use Alpine Linux 3.21.2 on a Dell Latitude E6510 with Intel integrated 
graphics and a Dell E-Dock II docking station with an external monitor. 
Alpine is configured with syslinux and eudev, and has the Intel hardware 
drivers installed.

When I boot the laptop, the built-in display goes blank after the Alpine 
Linux boot countdown and the first few boot messages. This black screen 
continues through the OpenRC messages and my display manager login 
window. At this point I can't use any key combinations to get the 
display back.

The only way to see anything is to connect my laptop to my docking 
station. If I dock the laptop at any point during or after the boot 
process, the picture immediately shows on the external monitor. If I 
un-dock the laptop any point after this, it switches to the primary 
display and I can see everything there fine, both the boot console and 
X. Only on first boot, un-docked, is this an issue.

This all started after my recent upgrade from 3.19 to 3.21 following the 
wiki here: 
https://wiki.alpinelinux.org/wiki/Upgrading_Alpine_Linux_to_a_new_release_branch. 
Prior to that everything worked as expected. To troubleshoot, I enabled 
verbose logging on startup for inittab, syslinux conf, and OpenRC. The 
only relevant message I noticed was "Waiting for uevents to be 
processed" is the last message displayed before my built-in display 
blanks. I can provide more logs here if they're relevant.

I found some similar discussion on the bug tracker here: 
https://gitlab.alpinelinux.org/alpine/aports/-/issues/6723. But this 
issue is much older and I don't think it's relevant. The fix documented 
there didn't help either. I didn't see any relevant mailing list 
archives for this issue when I searched.

I think it has something to do with my kernel parameters or device 
driver configuration, or the events that get triggered for my devices. 
Where should I proceed next to continue troubleshooting this issue?

Thank you for your time,

Adam